Bug 617078 - Init script to control multiple rsyslogd instances
Summary: Init script to control multiple rsyslogd instances
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsyslog (Show other bugs)
(Show other bugs)
Version: 5.5
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Tomas Heinrich
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-22 06:56 UTC by Jeff Hefner
Modified: 2011-09-09 14:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-24 15:17:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch of changes made to rsyslog init script (1.35 KB, application/octet-stream)
2010-07-22 06:56 UTC, Jeff Hefner
no flags Details

Description Jeff Hefner 2010-07-22 06:56:37 UTC
Created attachment 433601 [details]
patch of changes made to rsyslog init script

Description of problem:

Rsyslog init script not conducive to running multiple rsyslogd instances

Version-Release number of selected component (if applicable):

rsyslog-3.22.1-3.el5

Suggestion:

I recently discovered the the limitation of the TCP listener to only listen on a single port which eliminates to option to run in a dual-mode setup (encrypted and unencrypted channels)

When looking for a solution to my problem I was inspired by the tomcat5 init script. I previously had the need to setup Tomcat to run multiple instances and recall how that worked by symlinking to the tomcat5 init script using a unique name like wiki or bugtracker and them making a copy of the tomcat confile files matching their names to your newly created symlink.

In this case I had wanted three rsyslog instances running:

rsyslogd
rsyslog-secure
rsyslog-relp

As an overview of the the lay of the land:

Slightly modified rsyslog init script has been symlinked:

[root@lobot init.d]# ls -al rsyslog*
-rwxr-xr-x 1 root root 2524 Jul 22 00:15 rsyslog
lrwxrwxrwx 1 root root    7 Jul 22 01:23 rsyslog-relp -> rsyslog
lrwxrwxrwx 1 root root    7 Jul 22 01:23 rsyslog-secure -> rsyslog

Individual conf files modified to suit(ie encryption, RELP.:

[root@lobot etc]# ls -al /etc/rsyslog*
-rw-r--r-- 1 root root 1675 Jul 21 21:38 /etc/rsyslog.conf
-rw-r--r-- 1 root root 1169 Jul 21 23:34 /etc/rsyslog-relp.conf
-rw-r--r-- 1 root root 1169 Jul 21 22:23 /etc/rsyslog-secure.conf

The sysconfig files just has one light change. Essentially adding the
-f option for custom conf file locations.

[root@lobot etc]# ls -al /etc/sysconfig/rsyslog*
-rw-r--r-- 1 root root 516 Jul 12 22:49 /etc/sysconfig/rsyslog
-rw-r--r-- 1 root root 542 Jul 21 23:36 /etc/sysconfig/rsyslog-relp
-rw-r--r-- 1 root root 657 Jul 21 23:31 /etc/sysconfig/rsyslog-secure

Using the attached patch for the rsyslog init script will allow multiple instances to be controlled by service and chkconfig:

[root@lobot ~]# ps aux|grep rsyslog
root     17392  0.0  0.6 134412  3444 ?        Sl   Jul21   0:01 /sbin/rsyslogd -r -m 0
root     21709  0.0  0.5 124968  2708 ?        Sl   Jul21   0:00 /sbin/rsyslogd -i /var/run/rsyslog-secure.pid -f /etc/rsyslog-secure.conf -r -m 0
root     22000  0.0  0.5 124968  2708 ?        Sl   Jul21   0:00 /sbin/rsyslogd -i /var/run/rsyslog-relp.pid -f /etc/rsyslog-relp.conf -r -m 0

Comment 1 RHEL Product and Program Management 2011-05-31 14:17:46 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 2 Tomas Heinrich 2011-08-24 15:17:51 UTC
Thanks for the report. RHEL-5 is entering a maintenance mode and new features are only added on the basis of a support request.


Note You need to log in before you can comment on or make changes to this bug.